<?PHP

/**
 *	Splittet eine Datei in mehrere Dateien
 *
 *	Systemvoraussetzung:
 *	Linux
 *	PHP 3, PHP 4, PHP 5
 *
 *	Splittet Dateien nach Zeilen oder Bytes
 *
 * 	LICENSE: GNU General Public License (GPL)
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 2,
 *	as published by the Free Software Foundation.
 *
 *	@category   Dateien/Verzeichnisse
 *	@author     Damir Enseleit <info@selfphp.de>
 *	@copyright  2001-2006 SELFPHP
 *	@version    $Id: splitShellFile.php,v 0.10 2006/04/23 11:23:40 des1 Exp $
 *	@link       http://www.selfphp.de
 */

/**
 * Splittet eine Datei in mehrer Dateien
 *
 * @param		string		$file							Die zu splittene Datei
 * @param		string		$split						nach Bytes oder Zeilen splitten
 * @param		integer		$sum							Nach wievielen Zeilen oder Bytes
 * @param		string		$prefix						Ein Praefix, was jeder Datei vorangestellt wird
 *
 * @return	bool													
 */

function splitShellFile($file,$split="byte",$sum=1000, $prefix=""){

	if (!file_exists($file))
		return false; 
		
	if($split == "byte")
	{
		$shellBefehl = "split --bytes=$sum $file $prefix";	
	}	
	else
	{
		$shellBefehl = "split --lines=$sum $file $prefix";	
	}
		
	exec($shellBefehl);
	
	return true;
	
}

$file = 'split.txt';

$var = splitShellFile($file,"byte",20000,"byte_20kB_");

?>